import javax.imageio.ImageIO;
import javax.swing.*;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.*;

import com.mindfusion.diagramming.*;
import com.mindfusion.diagramming.export.SvgExporter;

public class TestSVG extends JFrame
{
    public TestSVG()
    {
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);

        JPanel panel = new JPanel();
        getContentPane().setLayout(new BorderLayout());
        getContentPane().add(panel, BorderLayout.CENTER);

        Diagram diagram = new Diagram();
        DiagramView diagramView = new DiagramView(diagram);
        panel.setLayout(new BorderLayout());
        panel.add(diagramView, BorderLayout.CENTER);

        TableNode table = diagram.getFactory().createTableNode(50, 50, 75, 50);
        table.setCaption("Test table");
        table.redimTable(3, 2);
        table.getCell(0, 0).setText("PK");
        table.getCell(1, 0).setText("Name");
        table.getCell(2, 0).setText("Data type");
        try
        {
            BufferedImage image = ImageIO.read(new File("pkey.png"));
            table.getCell(0, 1).setImage(image);
            table.getCell(0, 1).setText("Yes");
            table.getCell(1, 1).setText("Code");
            table.getCell(2, 1).setText("int");
        }
        catch (IOException ioe)
        {
            System.out.println(ioe);
        }

        diagram.resizeToFitItems(100, true);

        SvgExporter exporter = new SvgExporter(diagram, "C:\\Users\\foy\\Downloads\\JDiagramSrc\\test.svg");
        exporter.export();
    }

    public static void main(String[] args)
    {
        TestSVG test = new TestSVG();
        test.setSize(640, 480);
        test.setVisible(true);
    }
}